Bug 455227 - Review Request: php-pecl-parsekit - PHP Opcode Analyser
Review Request: php-pecl-parsekit - PHP Opcode Analyser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-14 04:31 EDT by Pavel Alexeev
Modified: 2009-07-22 17:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2-3.CVS20090309.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2008-07-14 04:31:28 EDT
Spec URL:
http://hubbitus.net.ru/rpm/Fedora9/php-pecl-parsekit/php-pecl-parsekit.spec
SRPM URL:
http://hubbitus.net.ru/rpm/Fedora9/php-pecl-parsekit/php-pecl-parsekit-1.2-0.CVS20080513.fc8.Hu.0.src.rpm

Description: Provides a userspace interpretation of the opcodes generated by the
Zend engine compiler built into PHP.                     
This extension is meant for development and debug purposes only and contains
some code which is potentially non-threadsafe.

Small note: I'm read naming guide and understand it, but in my own
rpm-repository (http://hubbitus.net.ru/rpm) all my packages with changes made
have portion of my release like ".Hu.<number>". This addon of release made to
differ version from upstream packages.

This is my 3rd (in Fedora package review, not in packaging history at all)
package and I am looking for sponsor.
Comment 1 Mamoru TASAKA 2008-08-25 03:47:13 EDT
(Removing NEEDSPONSOR: bug 455067)
Comment 2 Jason Tibbitts 2009-03-06 12:52:54 EST
I note that this fails to build currently (which isn't surprising given its age and all of the compiler changes that have happened recently).

The error is:

libtool: compile:  gcc -I. -I/builddir/build/BUILD/parsekit-1.2 -DPHP_ATOM_INC -I/builddir/build/BUILD/parsekit-1.2/include -I/builddir/build/BUILD/parsekit-1.2/main -I/builddir/build/BUILD/parsekit-1.2 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/php -DHAVE_CONFIG_H -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c /builddir/build/BUILD/parsekit-1.2/parsekit.c  -fPIC -DPIC -o .libs/parsekit.o

/builddir/build/BUILD/parsekit-1.2/parsekit.c: In function 'php_parsekit_parse_node':
/builddir/build/BUILD/parsekit-1.2/parsekit.c:68: warning: implicit declaration of function 'Z_SET_REFCOUNT_P'
/builddir/build/BUILD/parsekit-1.2/parsekit.c: In function 'php_parsekit_parse_op_array':
/builddir/build/BUILD/parsekit-1.2/parsekit.c:318: error: 'zend_op_array' has no member named 'this_var'

There are other following warnings.
Comment 4 Jason Tibbitts 2009-06-23 19:52:31 EDT
I wanted to get back to this earlier, but I'm somewhat short on time these days.  Here's a review.

These days %global seems to be preferred over %define, though the differences are subtle and I don't think it makes any particular difference for the two %defines you're using.

I think your Source0 should not be a URL if that URL is not valid, such as in the case where you're using a CVS snapshot.

I'm not sure why you'd need "PECL:" in the Summary; the upstream site doesn't use that in its summary, and it gives the impression that the name of the package is "PECL".

Your BuildRoot: tag is missing any mention of %release.  One day soon BuildRoot can go away, but that's not quite here yet and in the meantime it needs to meet the guidelines.  https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

So only a few minor issues.

* source files match upstream (compared manually).
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary could use a tweak.
* description is OK.
* dist tag is present.
X build root is mising %release.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (F11, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(php-pecl-parsekit) = 1.2-2.CVS20090309.fc11
   parsekit.so()(64bit)
   php-pecl(parsekit) = 1.2
   php-pecl-parsekit = 1.2-2.CVS20090309.fc11
   php-pecl-parsekit(x86-64) = 1.2-2.CVS20090309.fc11
  =
   /bin/sh
   /usr/bin/pecl
   config(php-pecl-parsekit) = 1.2-2.CVS20090309.fc11
   php(api) = 20041225
   php(zend-abi) = 20060613

* %check is not present; no test suite upstream.  I have no way to test this.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (php module registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 5 Pavel Alexeev 2009-06-30 10:46:02 EDT
Jason Tibbitts, thank you very much for the review.

(In reply to comment #4)
> These days %global seems to be preferred over %define, though the differences
> are subtle and I don't think it makes any particular difference for the two
> %defines you're using.
Ok, let it be %global.
> 
> I think your Source0 should not be a URL if that URL is not valid, such as in
> the case where you're using a CVS snapshot.
Fixed.
> 
> I'm not sure why you'd need "PECL:" in the Summary; the upstream site doesn't
> use that in its summary, and it gives the impression that the name of the
> package is "PECL".
Ok, "PECL" prefix removed.
> 
> Your BuildRoot: tag is missing any mention of %release.  One day soon BuildRoot
> can go away, but that's not quite here yet and in the meantime it needs to meet
> the guidelines. 
> https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
Added %%release part into BuildRoot tag.

http://hubbitus.net.ru/rpm/Fedora10/php-pecl-parsekit/php-pecl-parsekit-1.2-3.CVS20090309.fc9.src.rpm
http://hubbitus.net.ru/rpm/Fedora10/php-pecl-parsekit/php-pecl-parsekit.spec
Comment 6 Jason Tibbitts 2009-06-30 14:50:37 EDT
Looks good to me, thanks.

APPROVED
Comment 7 Pavel Alexeev 2009-06-30 16:01:00 EDT
Jason Tibbitts, thank you for the review.

New Package CVS Request
=======================
Package Name: php-pecl-parsekit
Short Description: PHP Opcode Analyser
Owners: Hubbitus
Branches: F-10 F-11 EL-5
InitialCC:
Comment 8 Jason Tibbitts 2009-06-30 22:42:25 EDT
There is no Fedora account "Hubbitus".  I used "hubbitus" instead.

CVS done.
Comment 9 Fedora Update System 2009-07-01 04:57:02 EDT
php-pecl-parsekit-1.2-3.CVS20090309.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pecl-parsekit-1.2-3.CVS20090309.fc10
Comment 10 Fedora Update System 2009-07-01 05:38:18 EDT
php-pecl-parsekit-1.2-3.CVS20090309.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pecl-parsekit-1.2-3.CVS20090309.fc11
Comment 11 Fedora Update System 2009-07-03 15:37:16 EDT
php-pecl-parsekit-1.2-3.CVS20090309.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-parsekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7312
Comment 12 Fedora Update System 2009-07-03 15:40:03 EDT
php-pecl-parsekit-1.2-3.CVS20090309.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-parsekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7330
Comment 13 Fedora Update System 2009-07-22 17:41:52 EDT
php-pecl-parsekit-1.2-3.CVS20090309.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-22 17:50:28 EDT
php-pecl-parsekit-1.2-3.CVS20090309.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.